Bug 1438465 - mingw-libtiff: various flaws [fedora-all]
Summary: mingw-libtiff: various flaws [fedora-all]
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-libtiff
Version: 25
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2016-10270 CVE-2016-10269 CVE-2016-10268 CVE-2016-10267 CVE-2016-10271 CVE-2016-10272 CVE-2016-10266 CVE-2017-7592 CVE-2017-7593 CVE-2017-7594 CVE-2017-7595 CVE-2017-7596 CVE-2017-7597 CVE-2017-7598 CVE-2017-7599 CVE-2017-7600 CVE-2017-7601 CVE-2017-7602
TreeView+ depends on / blocked
 
Reported: 2017-04-03 13:13 UTC by Andrej Nemec
Modified: 2017-06-09 19:25 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-09 19:25:21 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-04-03 13:13:20 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2017-04-03 13:13:32 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438441,1438443,1438447,1438449,1438452,1438453,1438458

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Andrej Nemec 2017-04-03 13:29:19 UTC
Adding parent bug 1438472 (for CVE-2016-10266).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438452,1438453,1438458,1438472

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10263, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 3 Andrej Nemec 2017-04-11 14:15:30 UTC
Adding parent bug 1441240 (for CVE-2017-7592).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438453,1438458,1438472,1441240

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266, CVE-2017-7592

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 4 Andrej Nemec 2017-04-11 14:15:44 UTC
Adding parent bug 1441246 (for CVE-2017-7593).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438453,1438458,1438472,1441240,1441246

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266, CVE-2017-7592, CVE-2017-7593

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 5 Andrej Nemec 2017-04-11 14:15:58 UTC
Adding parent bug 1441247 (for CVE-2017-7594).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438453,1438458,1438472,1441240,1441246,1441247

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266, CVE-2017-7592, CVE-2017-7593, CVE-2017-7594

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 6 Andrej Nemec 2017-04-11 14:16:12 UTC
Adding parent bug 1441248 (for CVE-2017-7595).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438453,1438458,1438472,1441240,1441246,1441247,1441248

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266, CVE-2017-7592, CVE-2017-7593, CVE-2017-7594, CVE-2017-7595

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 7 Andrej Nemec 2017-04-11 14:16:26 UTC
Adding parent bug 1441250 (for CVE-2017-7596).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438453,1438458,1438472,1441240,1441246,1441247,1441248,1441250

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266, CVE-2017-7592, CVE-2017-7593, CVE-2017-7594, CVE-2017-7595, CVE-2017-7596

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 8 Andrej Nemec 2017-04-11 14:16:40 UTC
Adding parent bug 1441252 (for CVE-2017-7597).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438453,1438458,1438472,1441240,1441246,1441247,1441248,1441250,1441252

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266, CVE-2017-7592, CVE-2017-7593, CVE-2017-7594, CVE-2017-7595, CVE-2017-7596, CVE-2017-7597

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 9 Andrej Nemec 2017-04-11 14:16:53 UTC
Adding parent bug 1441254 (for CVE-2017-7598).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438453,1438458,1438472,1441240,1441246,1441247,1441248,1441250,1441252,1441254

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266, CVE-2017-7592, CVE-2017-7593, CVE-2017-7594, CVE-2017-7595, CVE-2017-7596, CVE-2017-7597, CVE-2017-7598

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 10 Andrej Nemec 2017-04-11 14:17:06 UTC
Adding parent bug 1441259 (for CVE-2017-7599).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438453,1438458,1438472,1441240,1441246,1441247,1441248,1441250,1441252,1441254,1441259

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266, CVE-2017-7592, CVE-2017-7593, CVE-2017-7594, CVE-2017-7595, CVE-2017-7596, CVE-2017-7597, CVE-2017-7598, CVE-2017-7599

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 11 Andrej Nemec 2017-04-11 14:17:18 UTC
Adding parent bug 1441260 (for CVE-2017-7600).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438453,1438458,1438472,1441240,1441246,1441247,1441248,1441250,1441252,1441254,1441259,1441260

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266, CVE-2017-7592, CVE-2017-7593, CVE-2017-7594, CVE-2017-7595, CVE-2017-7596, CVE-2017-7597, CVE-2017-7598, CVE-2017-7599, CVE-2017-7600

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 12 Andrej Nemec 2017-04-11 14:17:29 UTC
Adding parent bug 1441261 (for CVE-2017-7601).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438453,1438458,1438472,1441240,1441246,1441247,1441248,1441250,1441252,1441254,1441259,1441260,1441261

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266, CVE-2017-7592, CVE-2017-7593, CVE-2017-7594, CVE-2017-7595, CVE-2017-7596, CVE-2017-7597, CVE-2017-7598, CVE-2017-7599, CVE-2017-7600, CVE-2017-7601

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 13 Andrej Nemec 2017-04-11 14:17:41 UTC
Adding parent bug 1441263 (for CVE-2017-7602).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1438465,1438441,1438443,1438447,1438449,1438453,1438458,1438472,1441240,1441246,1441247,1441248,1441250,1441252,1441254,1441259,1441260,1441261,1441263

# Description of your update
notes=Security fix for CVE-2016-10270, CVE-2016-10269, CVE-2016-10268, CVE-2016-10267, CVE-2016-10271, CVE-2016-10272, CVE-2016-10266, CVE-2017-7592, CVE-2017-7593, CVE-2017-7594, CVE-2017-7595, CVE-2017-7596, CVE-2017-7597, CVE-2017-7598, CVE-2017-7599, CVE-2017-7600, CVE-2017-7601, CVE-2017-7602

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 14 Fedora Update System 2017-06-04 20:26:29 UTC
mingw-libtiff-4.0.8-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-03c5f27205

Comment 15 Fedora Update System 2017-06-05 19:06:00 UTC
mingw-libtiff-4.0.8-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-03c5f27205

Comment 16 Fedora Update System 2017-06-09 19:25:21 UTC
mingw-libtiff-4.0.8-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.